
#include "TArtAnalysisMethod.hh"
#include "TArtDataNEBULA.hh"

#include <TROOT.h>

#include <iostream>

TArtAnalysisMethod::TArtAnalysisMethod(TArtDataNEBULA *datanebula)
  : fDataNEBULA(datanebula)
{;}

TArtAnalysisMethod::~TArtAnalysisMethod()
{;}

void TArtAnalysisMethod::operator()()
{
  std::cout << "AnalysisMethod()" << std::endl;

  std::map<int, TArtDataNEBULA::TArtDataNEBULAInner>::iterator it
    = fDataNEBULA->fDataNEBULAInnerMap.begin();
  while(it !=  fDataNEBULA->fDataNEBULAInnerMap.end()){
    std::cout << "ID:" << it->first << " ADC:" << it->second.fADC << " TDC:" << it->second.fTDC << std::endl;
    ++it;
  }
}
