#ifndef _TARTNEBULAPARAMETERS_H_
#define _TARTNEBULAPARAMETERS_H_

#include <TROOT.h>
#include <map>

class TXMLNode;
class TArtNEBULAPara;
class TArtRIDFMap;

class TArtNEBULAParameters : public TNamed
{
 public: 

  TArtNEBULAParameters();
  ~TArtNEBULAParameters();
  Bool_t LoadParameter(char *xmlfile);

  TArtNEBULAPara * GetNEBULAPara(TArtRIDFMap *rmap);

 protected:

  std::map<TArtRIDFMap, TArtNEBULAPara *> pmap;
  std::map<TArtRIDFMap, TArtNEBULAPara *>::iterator itrEnd;
  std::map<TArtRIDFMap, TArtNEBULAPara *>::iterator itr;

  void ParseParaList(TXMLNode *node);
  TArtNEBULAPara * ParseNEBULAPara(TXMLNode *node);

  ClassDef(TArtNEBULAParameters,1);

};

#endif
