#ifndef _TARTDATANEBULA_H_
#define _TARTDATANEBULA_H_

#include "TROOT.h"

#include <map>

class TArtParameterNEBULA;

class TArtDataNEBULA
{
public:
  class TArtDataNEBULAInner
  {
  public:
    TArtDataNEBULAInner();
    ~TArtDataNEBULAInner();

    int fADC;  
    int fTDC;  
  };

  typedef std::map<int, TArtDataNEBULAInner> TArtDataNEBULAInnerMap;

 public:
  TArtDataNEBULA();
  ~TArtDataNEBULA();

  void SetParameter(TArtParameterNEBULA *parameter);
  void Clear();
  std::map<int, TArtDataNEBULA::TArtDataNEBULAInner>::iterator InnerMapBegin()
  {
    return fDataNEBULAInnerMap.begin();
  }
  std::map<int, TArtDataNEBULA::TArtDataNEBULAInner>::iterator InnerMapEnd()
  {
    return fDataNEBULAInnerMap.end();
  }

  std::map<int, TArtDataNEBULAInner> fDataNEBULAInnerMap;
  TArtParameterNEBULA *fParameter;

  ClassDef(TArtDataNEBULA,1);
};

#endif
