#ifndef _TARTLOADMETHOD_H_
#define _TARTLOADMETHOD_H_

#include "TROOT.h"

class TArtRawEventObject;
class TArtDataNEBULA;
class TArtParameterNEBULA;

class TArtLoadMethod
{
 public:
  TArtLoadMethod(TArtDataNEBULA *datanebula, const TArtParameterNEBULA *parameternebula);
  ~TArtLoadMethod();

  void operator()(TArtRawEventObject *fEvent);

 private:
  TArtDataNEBULA *fDataNEBULA;
  const TArtParameterNEBULA *fParameterNEBULA;

 public:
  ClassDef(TArtLoadMethod,1);
 };

#endif
